<div style="margin-top: 20px;">
	<h5>
		<span>Data Transaksi</span>
	</h5>

	<p-accordion class="filter-accordion">
		<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal IVU</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal Isi Nama</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal Terima Faktur</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6"> 
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal Kirim Biro Jasa</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_tipeTransaksi">Tipe Transaksi</label>
						<select class="form-control" id="field_tipeTransaksi" name="tipeTransaksi">
								<option [ngValue]="null"></option>
								<option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saleTypes; trackBy: trackSaleTypeById">{{saleTypeOption.description}}</option>
						</select>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
			</div>
		</p-accordionTab>
	</p-accordion>

	<p-dataTable
		[value]="vehicleDocumentRequirements"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idRequirement"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>
			<div class="row"></div>
		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. Faktur">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.fakturATPM}}
			</ng-template>
		</p-column>
		<p-column header="No. IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.description}} -->
			</ng-template>
		</p-column>
		<p-column header="Tgl IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicle.idFrame}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicle.idMachine}}
			</ng-template>
		</p-column>
		<p-column header="Tgl Isi Nama">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateFillName | date:'dd-MM-yyyy HH:mm:ss'}}
			</ng-template>
		</p-column>
		<p-column header="Tgl Terima Faktur">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.fakturDate | date:'dd-MM-yyyy HH:mm:ss'}}
			</ng-template>
		</p-column>
		<p-column header="Tgl Kirim Biro Jasa">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateSubmission | date:'dd-MM-yyyy HH:mm:ss'}}
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="!rowData.organizationOwner">
					{{rowData.personOwner.name }}
				</div>
				<div *ngIf="rowData.organizationOwner">
					{{rowData.organizationOwner.name }}
				</div>			
			</ng-template>
		</p-column>

		<p-column header="Alamat STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="!rowData.organizationOwner">
					{{rowData.personOwner.postalAddress.address1}}
				</div>
				<div *ngIf="rowData.organizationOwner">
					{{rowData.organizationOwner.postalAddress.address1}}
				</div>
			</ng-template>
		</p-column>

		<p-column header="Tipe Transaksi">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.saleType.description}}
			</ng-template>
		</p-column>
		<p-column header="Ket">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <a [routerLink]="['../data-transaksi/detail/'+ rowData.idRequirement]">Detail</a> -->
				<a title="Detail" (click)="showDetail(rowData.idRequirement)"><i class="fa fa-eye" aria-hidden="true"></i></a>				
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
</div>
<div style="margin-top: 10px;"></div>



<p-dialog header="Detail Informasi Transaksi" [(visible)]="detailModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<table class="col-sm-12">
				<tr>
					<td>No. Faktur</td>
					<td>: {{ vehicleDocumentRequirement.fakturATPM }}</td>
				</tr>
				<tr>
					<td>Nama STNK</td>
					<div *ngIf="vehicleDocumentRequirement.personOwner">
						<td>: {{ vehicleDocumentRequirement.personOwner.name }}</td>
					</div>
					<div *ngIf="!vehicleDocumentRequirement.personOwner">
						<td>: {{ vehicleDocumentRequirement.organizationOwner.name }}</td>
					</div>
				</tr>
				<tr>
					<td>Alamat STNK</td>
					<div *ngIf="vehicleDocumentRequirement.personOwner">
						<td>: {{ vehicleDocumentRequirement.personOwner.postalAddress.address1 }}</td>
					</div>
					<div *ngIf="!vehicleDocumentRequirement.personOwner">
						<td>: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.address1 }}</td>
					</div>
					
				</tr>
				<tr>
					<td>Nama Pembeli</td>
					<td>: </td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Tanggal Isi Nama</td>
					<td>: {{ vehicleDocumentRequirement.dateFillName }}</td>
				</tr>
				<tr>
					<td>Tanggal Terima Faktur</td>
					<td>: {{ vehicleDocumentRequirement.fakturDate }}</td>
				</tr>
				<tr>
					<td>Tanggal Kirim Biro Jasa</td>
					<td>: {{ vehicleDocumentRequirement.dateSubmission }}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Plat Nomor</td>
					<td>: {{ vehicleDocumentRequirement.requestPoliceNumber }}</td>
				</tr>
				<tr>
					<td>Tangal Terima Plat Nomor</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Terima Notice</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Terima STNK</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Terima BPKB</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Nama Sales</td>
					<td>: </td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Tanggal Sales Terima Notice</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Sales Terima STNK</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Konsumen Terima Plat Nomor</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Nama Penerima Notice</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Konsumen Terima Notice</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Nama Penerima SNTK</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Konsumen Terima STNK</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Nama Penerima BPKB</td>
					<td>: </td>
				</tr>
				<tr>
					<td>Tanggal Konsumen Terima BPKB</td>
					<td>: </td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Keterangan</td>
					<td>: </td>
				</tr>
			</table>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-12">
			
		</div>
	</div>
</p-dialog>



<!-- <p-confirmDialog></p-confirmDialog> -->